summaryrefslogtreecommitdiffstats
path: root/t/recipes/checks/init-d/init.d-general/build-spec/debian/init.d-general-bugs.postinst
diff options
context:
space:
mode:
Diffstat (limited to 't/recipes/checks/init-d/init.d-general/build-spec/debian/init.d-general-bugs.postinst')
-rw-r--r--t/recipes/checks/init-d/init.d-general/build-spec/debian/init.d-general-bugs.postinst17
1 files changed, 17 insertions, 0 deletions
diff --git a/t/recipes/checks/init-d/init.d-general/build-spec/debian/init.d-general-bugs.postinst b/t/recipes/checks/init-d/init.d-general/build-spec/debian/init.d-general-bugs.postinst
new file mode 100644
index 0000000..37a4b2a
--- /dev/null
+++ b/t/recipes/checks/init-d/init.d-general/build-spec/debian/init.d-general-bugs.postinst
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # duplicate call
+ update-rc.d init.d-general-bugs word > /dev/null
+ update-rc.d init.d-general-bugs anotherword
+fi
+
+# Actually debhelper will add a third one for us, but since the line
+# number might change with any debhelper release, we don't want to
+# rely on that debhelper only changing seldomly what replaces the
+# token and hence rather add our own second one above. The token below
+# is just to not trigger further lintian warnings.
+
+#DEBHELPER#